> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions

> Retrieves a list of transactions for a given Merchant, filtered by various parameters.



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml get /api/transactions
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/transactions:
    get:
      tags:
        - Transaction management
      summary: List Transactions
      description: >-
        Retrieves a list of transactions for a given Merchant, filtered by
        various parameters.
      operationId: listTransactions
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: string
                      description: The ID of the merchant that processed the transactions.
                      example: '12345'
                  required:
                    - sid
                filters:
                  type: object
                  description: ''
                  example: []
                  properties:
                    start_date:
                      type: string
                      description: >-
                        The start date for filtering transactions in `Y-m-d
                        H:i:s` format.
                      example: '2021-01-01 00:00:00'
                    end_date:
                      type: string
                      description: >-
                        The end date for filtering transactions in `Y-m-d H:i:s`
                        format.
                      example: '2021-12-31 23:59:59'
                    sweep_id:
                      type: string
                      description: The sweep ID of the transaction.
                      example: sweep_123*
                    customer_uuid:
                      type: string
                      description: The customer UUID associated with the transaction.
                      example: cust_456
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - transaction_type: CC
                      transaction_status: CC_CREDIT
                      transaction_status_description: >-
                        Successful credit/debit card transaction that brings
                        funds into the ProPay Account.
                      transaction_number: '741046715'
                      transaction_date: '2023-02-15T19:14:44.000000Z'
                      fund_date: '2023-02-17T05:05:35.000000Z'
                      settle_date: '2023-03-24T11:30:04.000000Z'
                      amount: '1.0000'
                      description: ''
                      status_code: ''
                      status_text: ''
                      email: ''
                      phone: ''
                      customer_uuid: ''
                      multi_use_token: ''
                      pending: false
                      transaction_info_id: '789161791'
                      parent_transaction_info_id: ''
                      billing_address:
                        first_name: null
                        last_name: null
                        addr1: null
                        addr2: null
                        city: null
                        state: null
                        zip: null
                      shippingAddress:
                        addr1: null
                        addr2: null
                        city: null
                        state: null
                        zip: null
                    - transaction_type: CC
                      transaction_status: CC_CREDIT
                      transaction_status_description: >-
                        Successful credit/debit card transaction that brings
                        funds into the ProPay Account.
                      transaction_number: '741046715'
                      transaction_date: '2023-02-15T19:14:44.000000Z'
                      fund_date: '2023-02-17T05:05:35.000000Z'
                      settle_date: '2023-03-24T11:30:04.000000Z'
                      amount: '1.0000'
                      description: ''
                      status_code: ''
                      status_text: ''
                      email: ''
                      phone: ''
                      customer_uuid: ''
                      multi_use_token: ''
                      pending: false
                      transaction_info_id: '789161791'
                      parent_transaction_info_id: ''
                      billing_address:
                        first_name: null
                        last_name: null
                        addr1: null
                        addr2: null
                        city: null
                        state: null
                        zip: null
                      shippingAddress:
                        addr1: null
                        addr2: null
                        city: null
                        state: null
                        zip: null
                  links:
                    prev: null
                    next: null
                  meta:
                    path: /
                    per_page: 15
                    next_cursor: null
                    prev_cursor: null
                properties:
                  data:
                    type: array
                    example:
                      - transaction_type: CC
                        transaction_status: CC_CREDIT
                        transaction_status_description: >-
                          Successful credit/debit card transaction that brings
                          funds into the ProPay Account.
                        transaction_number: '741046715'
                        transaction_date: '2023-02-15T19:14:44.000000Z'
                        fund_date: '2023-02-17T05:05:35.000000Z'
                        settle_date: '2023-03-24T11:30:04.000000Z'
                        amount: '1.0000'
                        description: ''
                        status_code: ''
                        status_text: ''
                        email: ''
                        phone: ''
                        customer_uuid: ''
                        multi_use_token: ''
                        pending: false
                        transaction_info_id: '789161791'
                        parent_transaction_info_id: ''
                        billing_address:
                          first_name: null
                          last_name: null
                          addr1: null
                          addr2: null
                          city: null
                          state: null
                          zip: null
                        shippingAddress:
                          addr1: null
                          addr2: null
                          city: null
                          state: null
                          zip: null
                      - transaction_type: CC
                        transaction_status: CC_CREDIT
                        transaction_status_description: >-
                          Successful credit/debit card transaction that brings
                          funds into the ProPay Account.
                        transaction_number: '741046715'
                        transaction_date: '2023-02-15T19:14:44.000000Z'
                        fund_date: '2023-02-17T05:05:35.000000Z'
                        settle_date: '2023-03-24T11:30:04.000000Z'
                        amount: '1.0000'
                        description: ''
                        status_code: ''
                        status_text: ''
                        email: ''
                        phone: ''
                        customer_uuid: ''
                        multi_use_token: ''
                        pending: false
                        transaction_info_id: '789161791'
                        parent_transaction_info_id: ''
                        billing_address:
                          first_name: null
                          last_name: null
                          addr1: null
                          addr2: null
                          city: null
                          state: null
                          zip: null
                        shippingAddress:
                          addr1: null
                          addr2: null
                          city: null
                          state: null
                          zip: null
                    items:
                      type: object
                      properties:
                        transaction_type:
                          type: string
                          example: CC
                          description: 'Transaction type. Example: Checking'
                        transaction_status:
                          type: string
                          example: CC_CREDIT
                          description: 'Transaction Status. Example: CC Pending'
                        transaction_status_description:
                          type: string
                          example: >-
                            Successful credit/debit card transaction that brings
                            funds into the ProPay Account.
                          description: >-
                            Transaction Status. Example: A transaction that has
                            not cleared yet
                        transaction_number:
                          type: string
                          example: '741046715'
                        transaction_date:
                          type: string
                          example: '2023-02-15T19:14:44.000000Z'
                          description: >-
                            Transaction Date. Example:
                            2024-01-17T12:44:28.000000Z
                        fund_date:
                          type: string
                          example: '2023-02-17T05:05:35.000000Z'
                          description: 'Fund Date. Example: 2024-01-18T21:05:21.000000Z'
                        settle_date:
                          type: string
                          example: '2023-03-24T11:30:04.000000Z'
                          description: 'Settle Date. Example: 2024-01-17T18:35:00.000000Z'
                        amount:
                          type: string
                          example: '1.0000'
                          description: 'Transaction amount. Example: $120.00'
                        description:
                          type: string
                          example: ''
                          description: 'Transaction type. Example: Checking'
                        status_code:
                          type: string
                          example: ''
                          description: The status code of the transaction.
                        status_text:
                          type: string
                          example: ''
                          description: The status text of the transaction.
                        email:
                          type: string
                          example: ''
                          description: The email of the transaction.
                        phone:
                          type: string
                          example: ''
                          description: The phone of the transaction.
                        customer_uuid:
                          type: string
                          example: ''
                          description: The customer uuid of the transaction.
                        multi_use_token:
                          type: string
                          example: ''
                          description: The multi use token of the transaction.
                        pending:
                          type: boolean
                          example: false
                          description: The pending status of the transaction.
                        transaction_info_id:
                          type: string
                          example: '789161791'
                          description: >-
                            The transaction's info id that can be used in
                            requests to other API endpoints to look up a
                            specific transaction.
                        parent_transaction_info_id:
                          type: string
                          example: ''
                          description: >-
                            The transaction's parent's info id that can be used
                            in requests to other API endpoints to look up a
                            specific transaction.
                        billing_address:
                          type: object
                          properties:
                            first_name:
                              type: string
                              example: null
                              description: The first name field.
                            last_name:
                              type: string
                              example: null
                              description: The last name field.
                            addr1:
                              type: string
                              example: null
                              description: The first address line.
                            addr2:
                              type: string
                              example: null
                              description: The second address line.
                            city:
                              type: string
                              example: null
                              description: The city field.
                            state:
                              type: string
                              example: null
                              description: The state field.
                            zip:
                              type: string
                              example: null
                              description: The zip field.
                        shippingAddress:
                          type: object
                          properties:
                            addr1:
                              type: string
                              example: null
                              nullable: true
                            addr2:
                              type: string
                              example: null
                              nullable: true
                            city:
                              type: string
                              example: null
                              nullable: true
                            state:
                              type: string
                              example: null
                              nullable: true
                            zip:
                              type: string
                              example: null
                              nullable: true
                  links:
                    type: object
                    properties:
                      prev:
                        type: string
                        example: null
                        nullable: true
                      next:
                        type: string
                        example: null
                        nullable: true
                  meta:
                    type: object
                    properties:
                      path:
                        type: string
                        example: /
                      per_page:
                        type: integer
                        example: 15
                      next_cursor:
                        type: string
                        example: null
                        nullable: true
                      prev_cursor:
                        type: string
                        example: null
                        nullable: true
        '400':
          description: Failed validation
          content:
            application/json:
              schema:
                type: object
                example:
                  errors:
                    filters.start_date:
                      - The filters.start_date field must be a valid date.
                properties:
                  errors:
                    type: object
                    properties:
                      filters.start_date:
                        type: array
                        example:
                          - The filters.start_date field must be a valid date.
                        items:
                          type: string
        '401':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Token unauthorized
                    type: object
                    example:
                      data:
                        message: Permission Denied.
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Permission Denied.
                  - description: Invalid merchant or affiliate authorization
                    type: object
                    example:
                      data:
                        message: Unauthorized
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Unauthorized
                  - description: Invalid merchant or affiliate associations
                    type: object
                    example:
                      data:
                        message: Not associated with affiliate
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Not associated with affiliate
        '404':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Invalid sid
                    type: object
                    example:
                      data:
                        message: No such Merchant
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No such Merchant
                  - description: No transactions found
                    type: object
                    example:
                      data:
                        message: No transactions found
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No transactions found
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````